<?php
namespace Ep\Cache\Adapter;

use Interop\Container\ContainerInterface;
use Symfony\Component\Cache\Adapter\ApcuAdapter;
use Zend\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu Apcu CacheAdaptera.
 *
 * @package Ep\Cache\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class ApcuFactory implements FactoryInterface
{
    /** @noinspection PhpDocMissingThrowsInspection */
    /**
     * Stvara adapter.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return ApcuAdapter
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $options = $options ?? [];

        $namespace = $options['namespace'] ?? '';
        $defaultLifetime = intval($options['default_lifetime'] ?? 0);
        $version = $options['version'] ?? null;

        /** @noinspection PhpUnhandledExceptionInspection */
        return new ApcuAdapter($namespace, $defaultLifetime, $version);
    }
}