<?php
namespace Ep\Currency;

use Ep\Currency\Adapter\AdapterInterface;

/**
 * Konverter valuta.
 *
 * @package Ep\Currency
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Converter
{
    /** @var AdapterInterface */
    private $adapter;

    /**
     * Converter constructor.
     *
     * @param AdapterInterface $adapter
     */
    public function __construct(AdapterInterface $adapter)
    {
        $this->adapter = $adapter;
    }

    /**
     * Konvertira vrijednost iz jedne valute u drugu.
     *
     * @param string $from
     * @param string $to
     * @param float $amount
     *
     * @return float
     */
    public function convert(string $from, string $to, float $amount): float
    {
        $rates = $this->adapter->getRates($from)['rates'];

        return $amount / $rates[$to];
    }
}