<?php
namespace Ep\Form;

use Interop\Container\ContainerInterface;
use Zend\Form\FormAbstractServiceFactory as BaseFormAbstractServiceFactory;

/**
 * Naša verzija koristi naš Factory za stvaranje formi.
 *
 * @package Ep\Form
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormAbstractServiceFactory extends BaseFormAbstractServiceFactory
{
    /**
     * Retrieve the form factory, creating it if necessary
     *
     * @param  ContainerInterface $container
     *
     * @return Factory
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
	protected function getFormFactory(ContainerInterface $container)
	{
		if ($this->factory instanceof Factory) {
			return $this->factory;
		}

		$elements = $container->has('FormElementManager')
            ? $container->get('FormElementManager')
            : null;

		$this->factory = new Factory($elements);
		return $this->factory;
	}
}