<?php
namespace Ep\Form\View\Helper;

use Zend\Form\FieldsetInterface;
use Zend\Form\FormInterface;
use Zend\Form\View\Helper\Form as BaseForm;

/**
 * Renderira HTML obrazac.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Form extends BaseForm
{
	/**
	 * Render a form from the provided $form,
	 *
	 * @param  FormInterface $form
	 * @return string
	 */
	public function render(FormInterface $form)
	{
		if (method_exists($form, 'prepare')) {
			$form->prepare();
		}

		$formContent = '';

		foreach ($form as $element) {
			if ($element instanceof FieldsetInterface) {
				/** @noinspection PhpUndefinedMethodInspection */
				$formContent .= $this->getView()->form_collection($element);
			} else {
				/** @noinspection PhpUndefinedMethodInspection */
				$formContent .= $this->getView()->form_group($element);
			}
		}

		return $this->openTag($form) . $formContent . $this->closeTag();
	}
}