<?php
namespace EpTest\View\Renderer;

use Ep\View\Renderer\TwigRendererFactory;
use EpTest\ContainerAwareTrait;
use PHPUnit\Framework\TestCase;
use Zend\ServiceManager\Factory\InvokableFactory;

/**
 * Class TwigRendererFactoryTest
 *
 * @package EpTest\View\Renderer
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class TwigRendererFactoryTest extends TestCase
{
    use ContainerAwareTrait;

    public function testWillIgnoreDuplicateExtensions()
    {
        $container = $this->createContainer([
            'dependencies' => [
                'factories' => [
                    Mock\TwigExtension::class => InvokableFactory::class,
                ],
            ],

            'twig' => [
                'extensions' => [
                    Mock\TwigExtension::class,
                    Mock\TwigExtension::class,
                ],
            ],
        ]);

        $factory = new TwigRendererFactory();
        /** @noinspection PhpUnhandledExceptionInspection */
        $factory($container, '', null);

        $this->addToAssertionCount(1);
    }
}